//-----------------------------------------------------------------------------
/// Headername  : DirectDentalEnums.h @file
///
///               DirectDental enumerations
///
///  2003-2004 Sirona Dental Systems GmbH - All Rights Reserved
///
/// Status      : Released
///
/// Revision history - Version 1.1
///
/// 02.09.02 - Draft => V.1.0 (MCI, Fa. MGW)
/// 02.05.03 - + control category => V.1.1 (MCI, Fa. MGW)
/// 22.05.03 - Review + Release V.1.1 (JueZi)
/// 12.03.04 - public version (JZi), Review (MCI, Fa. MGW), public Release V.1.1 (JueZi)
//-----------------------------------------------------------------------------
#ifndef __DIRECTDENTALENUMS_H
#define __DIRECTDENTALENUMS_H

//-----------------------------------------------------------------------------
// Standard includes
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Own includes
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Definitions, macros und constants
//-----------------------------------------------------------------------------
#if _MSC_VER > 1000 // VC++ Version > 4.0
#pragma once // open only once during build
#endif // _MSC_VER > 1000

// Plugin category identification strings
#define CATEGORY_FILTER                _T("Filter")
#define CATEGORY_FILTER_XRAY           _T("Filter/X-ray")
#define CATEGORY_FILTER_VIDEO          _T("Filter/Video")
#define CATEGORY_VOID                  _T("Void")

//-----------------------------------------------------------------------------
// Data types
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Prototype of the public functions
//-----------------------------------------------------------------------------

#endif   // __DIRECTDENTALENUMS_H
