//-----------------------------------------------------------------------------
/// Headername  : customimage.h @file
///
///               This is the imaging class for customization by yourself.
///
///  2003 Sirona Dental Systems GmbH - All Rights Reserved
///
/// Status      : Draft
///
/// Revision history - Version 1.0
///
/// 15.09.03 - Draft => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------
#ifndef AFX_CUSTOMIMAGE_H__5D79F219_D433_11D5_87FA_9492D3000000__INCLUDED_
#define AFX_CUSTOMIMAGE_H__5D79F219_D433_11D5_87FA_9492D3000000__INCLUDED_

//-----------------------------------------------------------------------------
// Standard includes
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Own includes
//-----------------------------------------------------------------------------
#include "FwImage.h"

//-----------------------------------------------------------------------------
// Definitions, macros und constants
//-----------------------------------------------------------------------------
#if _MSC_VER > 1000 // VC++ Version > 4.0
#pragma once // open only once during build
#endif // _MSC_VER > 1000

//-----------------------------------------------------------------------------
// Data types
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Prototype of the public functions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
/// Classname  : CCustomImage : public CImage
///
/// Customize your Imaging in this class
//-----------------------------------------------------------------------------
class CCustomImage : public CImage
{
   //---------------------------------------------------------------------------
   // Member functions
   //---------------------------------------------------------------------------
public:
            CCustomImage();
   virtual ~CCustomImage();

   BOOL GetBinarizeParameters();
   BOOL Binarize();

   //---------------------------------------------------------------------------
   // Member variables                                       - Short description
   //---------------------------------------------------------------------------
private:
};

#endif   // AFX_CUSTOMIMAGE_H__5D79F219_D433_11D5_87FA_9492D3000000__INCLUDED_
