// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////
// IApplication wrapper class

class IApplication : public COleDispatchDriver
{
public:
	IApplication() {}		// Calls COleDispatchDriver default constructor
	IApplication(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IApplication(const IApplication& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	LPDISPATCH GetActiveExam();
	BOOL GetVisible();
	long GetWidth();
	long GetHeight();
	CString GetVersion();
	CString GetPath();
	CString GetName();
	CString GetFullName();
	CString GetStatusBar();
	void SetStatusBar(LPCTSTR);
	LPDISPATCH GetActivePatient();
	long GetReadyState();
	long GetLanguage();

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// IExam wrapper class

class IExam : public COleDispatchDriver
{
public:
	IExam() {}		// Calls COleDispatchDriver default constructor
	IExam(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IExam(const IExam& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	LPDISPATCH GetActiveImage();
	void SetActiveImage(LPDISPATCH);
	LPDISPATCH GetObjects();
	LPDISPATCH GetPatient();
	long GetTakeFrameTitleHeight();
	CString GetName();
	DATE GetTimeStamp();
	LPDISPATCH GetTakeFrames();
	LPDISPATCH GetActiveTakeFrame();
	void SetActiveTakeFrame(LPDISPATCH);
	long GetHeight();
	long GetWidth();
	LPDISPATCH GetSelectionObjects();
	LPDISPATCH GetProperties();

// Operations
public:
	long GetItemCount();
	void Invalidate();
	void Screen2Exam(long lXScreen, long lYScreen, long* plXExam, long* plYExam);
	BOOL IsSelected(LPDISPATCH pdispObject);
	void Exam2Screen(long lXExam, long lYExam, long* plXScreen, long* plYScreen);
	CString GetProp(const VARIANT& varIdentification);
	void InvalidateRect(long fUpdate, long nLeft, long nTop, long nWidth, long nHeight, LPDISPATCH pdispObject);
};
/////////////////////////////////////////////////////////////////////////////
// IImage wrapper class

class IImage : public COleDispatchDriver
{
public:
	IImage() {}		// Calls COleDispatchDriver default constructor
	IImage(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IImage(const IImage& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetWidth();
	long GetHeight();
	long GetXPelsPerMeter();
	long GetYPelsPerMeter();
	short GetBitsPerPixel();
	LPDISPATCH GetProperties();
	CString GetType();
	CString GetRegio();
	CString GetName();
	DATE GetTimeStamp();
	CString GetMake();
	CString GetHw();
	CString GetSw();
	CString GetSite();
	CString GetAutoCorr();
	CString GetXRayParam();
	BOOL GetInverted();
	void SetInverted(BOOL);
	long GetBrightness();
	void SetBrightness(long);
	long GetContrast();
	void SetContrast(long);
	BOOL GetCalibrated();
	double GetCalibrationFactor();
	LPDISPATCH GetLut();
	BOOL GetFlippedHorz();
	BOOL GetFlippedVert();
	LPDISPATCH GetDiagnoses();
	BOOL GetGreyScale();
	LPDISPATCH GetRoi();
	LPDISPATCH GetAngles();
	LPDISPATCH GetLengths();
	LPDISPATCH GetCuts();
	LPDISPATCH GetObjects();
	double GetRotation();

// Operations
public:
	CString GetProp(const VARIANT& varIdentification);
	SCODE GetPalette(VARIANT* pvarPalette);
	SCODE GetPixelMap(VARIANT* pvarPixelMap);
	SCODE SetPixelMap(VARIANT* pvarPixelMap);
	void Image2Exam(long lXImage, long lYImage, long* plXExam, long* plYExam);
	void Exam2Image(long lXExam, long lYExam, long* plXImage, long* plYImage);
};
/////////////////////////////////////////////////////////////////////////////
// IObjects wrapper class

class IObjects : public COleDispatchDriver
{
public:
	IObjects() {}		// Calls COleDispatchDriver default constructor
	IObjects(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IObjects(const IObjects& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();

// Operations
public:
	LPDISPATCH GetItem(long lIndex);
};
/////////////////////////////////////////////////////////////////////////////
// IObject wrapper class

class IObject : public COleDispatchDriver
{
public:
	IObject() {}		// Calls COleDispatchDriver default constructor
	IObject(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IObject(const IObject& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetType();
	LPDISPATCH GetTypedObject();

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// ITakeFrame wrapper class

class ITakeFrame : public COleDispatchDriver
{
public:
	ITakeFrame() {}		// Calls COleDispatchDriver default constructor
	ITakeFrame(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ITakeFrame(const ITakeFrame& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetTitleHeight();
	LPDISPATCH GetProperties();
	CString GetType();
	CString GetRegio();
	CString GetName();
	CString GetReason();
	CString GetTitle();
	LPDISPATCH GetImage();
	double GetRotation();
	long GetId();

// Operations
public:
	void SetPosition(long nLeft, long nTop, long nWidth, long nHeight);
	void GetPosition(long* pnLeft, long* pnTop, long* pnWidth, long* pnHeight);
	SCODE SetVisibleImagePosition(long nLeft, long nTop, long nWidth, long nHeight);
	SCODE GetVisibleImagePosition(long* pnLeft, long* pnTop, long* pnWidth, long* pnHeight);
	CString GetProp(const VARIANT& varIdentification);
	SCODE ZoomImage(long nZoomNumerator, long nZoomDenominator, long fAdaptFrame);
	SCODE MoveTo(long lX, long lY);
	SCODE RotateImage(double drDegrees);
};
/////////////////////////////////////////////////////////////////////////////
// IPatient wrapper class

class IPatient : public COleDispatchDriver
{
public:
	IPatient() {}		// Calls COleDispatchDriver default constructor
	IPatient(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPatient(const IPatient& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	CString GetLastname();
	CString GetFirstname();
	DATE GetDateOfBirth();
	CString GetExternalID();

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// IProperties wrapper class

class IProperties : public COleDispatchDriver
{
public:
	IProperties() {}		// Calls COleDispatchDriver default constructor
	IProperties(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IProperties(const IProperties& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();

// Operations
public:
	long Find(LPCTSTR strName);
	LPDISPATCH GetItem(const VARIANT& varIdentification);
};
/////////////////////////////////////////////////////////////////////////////
// IProperty wrapper class

class IProperty : public COleDispatchDriver
{
public:
	IProperty() {}		// Calls COleDispatchDriver default constructor
	IProperty(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IProperty(const IProperty& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	CString GetName();
	CString GetValue();
	LPDISPATCH GetProperties();

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// ILUT wrapper class

class ILUT : public COleDispatchDriver
{
public:
	ILUT() {}		// Calls COleDispatchDriver default constructor
	ILUT(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ILUT(const ILUT& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetSize();
	long GetStockPalette();

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// ILength wrapper class

class ILength : public COleDispatchDriver
{
public:
	ILength() {}		// Calls COleDispatchDriver default constructor
	ILength(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ILength(const ILength& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	LPDISPATCH GetPoints();
	double GetMeasure();
	long GetMeasureUnit();

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// IPoints wrapper class

class IPoints : public COleDispatchDriver
{
public:
	IPoints() {}		// Calls COleDispatchDriver default constructor
	IPoints(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPoints(const IPoints& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();

// Operations
public:
	LPDISPATCH GetItem(long lIndex);
};
/////////////////////////////////////////////////////////////////////////////
// IPoint wrapper class

class IPoint : public COleDispatchDriver
{
public:
	IPoint() {}		// Calls COleDispatchDriver default constructor
	IPoint(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPoint(const IPoint& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetX();
	long GetY();

// Operations
public:
	void Get(long* plXCoordinate, long* plYCoordinate);
};
/////////////////////////////////////////////////////////////////////////////
// ITakeFrames wrapper class

class ITakeFrames : public COleDispatchDriver
{
public:
	ITakeFrames() {}		// Calls COleDispatchDriver default constructor
	ITakeFrames(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ITakeFrames(const ITakeFrames& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();

// Operations
public:
	LPDISPATCH GetItem(long lIndex);
};
/////////////////////////////////////////////////////////////////////////////
// IArrow wrapper class

class IArrow : public COleDispatchDriver
{
public:
	IArrow() {}		// Calls COleDispatchDriver default constructor
	IArrow(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IArrow(const IArrow& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	LPDISPATCH GetPoints();

// Operations
public:
	LPDISPATCH GetObjectAttachedToBegin(long* plX, long* plY);
	LPDISPATCH GetObjectAttachedToEnd(long* plX, long* plY);
};
/////////////////////////////////////////////////////////////////////////////
// IDiagnosis wrapper class

class IDiagnosis : public COleDispatchDriver
{
public:
	IDiagnosis() {}		// Calls COleDispatchDriver default constructor
	IDiagnosis(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IDiagnosis(const IDiagnosis& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	LPDISPATCH GetPoints();
	CString GetComment();
	CString GetRegio();

// Operations
public:
	LPDISPATCH GetObjectAttachedTo(long* plX, long* plY);
	void GetPosition(long* pnLeft, long* pnTop, long* pnWidth, long* pnHeight);
};
/////////////////////////////////////////////////////////////////////////////
// IROI wrapper class

class IROI : public COleDispatchDriver
{
public:
	IROI() {}		// Calls COleDispatchDriver default constructor
	IROI(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IROI(const IROI& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	void GetPosition(long* plLeft, long* plTop, long* plWidth, long* plHeight);
};
/////////////////////////////////////////////////////////////////////////////
// ICut wrapper class

class ICut : public COleDispatchDriver
{
public:
	ICut() {}		// Calls COleDispatchDriver default constructor
	ICut(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ICut(const ICut& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	LPDISPATCH GetPoints();

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// IAngle wrapper class

class IAngle : public COleDispatchDriver
{
public:
	IAngle() {}		// Calls COleDispatchDriver default constructor
	IAngle(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IAngle(const IAngle& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	LPDISPATCH GetPoints();

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// IDiagnoses wrapper class

class IDiagnoses : public COleDispatchDriver
{
public:
	IDiagnoses() {}		// Calls COleDispatchDriver default constructor
	IDiagnoses(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IDiagnoses(const IDiagnoses& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();

// Operations
public:
	LPDISPATCH GetItem(long lIndex);
};
/////////////////////////////////////////////////////////////////////////////
// ISelectionObjects wrapper class

class ISelectionObjects : public COleDispatchDriver
{
public:
	ISelectionObjects() {}		// Calls COleDispatchDriver default constructor
	ISelectionObjects(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ISelectionObjects(const ISelectionObjects& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();

// Operations
public:
	LPDISPATCH GetItem(long lIndex);
};
/////////////////////////////////////////////////////////////////////////////
// IAngles wrapper class

class IAngles : public COleDispatchDriver
{
public:
	IAngles() {}		// Calls COleDispatchDriver default constructor
	IAngles(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IAngles(const IAngles& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();

// Operations
public:
	LPDISPATCH GetItem(long lIndex);
};
/////////////////////////////////////////////////////////////////////////////
// ILengths wrapper class

class ILengths : public COleDispatchDriver
{
public:
	ILengths() {}		// Calls COleDispatchDriver default constructor
	ILengths(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ILengths(const ILengths& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();

// Operations
public:
	LPDISPATCH GetItem(long lIndex);
};
/////////////////////////////////////////////////////////////////////////////
// ICuts wrapper class

class ICuts : public COleDispatchDriver
{
public:
	ICuts() {}		// Calls COleDispatchDriver default constructor
	ICuts(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ICuts(const ICuts& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	long GetCount();

// Operations
public:
	LPDISPATCH GetItem(long lIndex);
};
/////////////////////////////////////////////////////////////////////////////
// IPolyline wrapper class

class IPolyline : public COleDispatchDriver
{
public:
	IPolyline() {}		// Calls COleDispatchDriver default constructor
	IPolyline(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IPolyline(const IPolyline& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	LPDISPATCH GetPoints();

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// IText wrapper class

class IText : public COleDispatchDriver
{
public:
	IText() {}		// Calls COleDispatchDriver default constructor
	IText(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IText(const IText& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	CString GetComment();

// Operations
public:
	void GetPosition(long* pnLeft, long* pnTop, long* pnWidth, long* pnHeight);
};
/////////////////////////////////////////////////////////////////////////////
// ISymbol wrapper class

class ISymbol : public COleDispatchDriver
{
public:
	ISymbol() {}		// Calls COleDispatchDriver default constructor
	ISymbol(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ISymbol(const ISymbol& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:
	CString GetType();
	CString GetLabel();

// Operations
public:
	void GetPosition(long* pnLeft, long* pnTop, long* pnWidth, long* pnHeight);
};
/////////////////////////////////////////////////////////////////////////////
// IRect wrapper class

class IRect : public COleDispatchDriver
{
public:
	IRect() {}		// Calls COleDispatchDriver default constructor
	IRect(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IRect(const IRect& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	void GetPosition(long* plLeft, long* plTop, long* plWidth, long* plHeight);
};
/////////////////////////////////////////////////////////////////////////////
// IEllipse wrapper class

class IEllipse : public COleDispatchDriver
{
public:
	IEllipse() {}		// Calls COleDispatchDriver default constructor
	IEllipse(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IEllipse(const IEllipse& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	void GetPosition(long* pnLeft, long* pnTop, long* pnWidth, long* pnHeight);
};
